<?php
require_once __DIR__ . '/../../connect.php';

$passengerID = filterRequest("passengerID");

// جلب السجل حسب passengerID
$sql = "SELECT * FROM `tokens` WHERE `passengerID` = :passengerID";
$stmt = $con->prepare($sql);
$stmt->bindParam(':passengerID', $passengerID, PDO::PARAM_STR);
$stmt->execute();

$data = $stmt->fetch(PDO::FETCH_ASSOC);

if ($data) {
    // فك تشفير التوكن فقط
    $data['token'] = $encryptionHelper->decryptData($data['token']);
	jsonSuccess($data);
   
} else {
    jsonError("No token found for this passenger");
}
?>